import webiopi

GPIO = webiopi.GPIO

def ServoAngle( iPinServo, iAngle ):
	up = int(1500 + (iAngle * 350) / 45)
	down = 20000 - up
	GPIO.pulseMicro( iPinServo, up, down )

PIN_SERVO = 23

GPIO.setFunction( PIN_SERVO, GPIO.PWM )

angle = 0
increase = 30

while 1:
	ServoAngle( PIN_SERVO, angle )
	angle += increase
	if 90 < angle:
		angle = 60
		increase = -30
	if -90 > angle:
		angle = -60
		increase = 30
	webiopi.sleep( 2.0 )
